Questions tagged [ubuntu-18.04]

GENERAL UBUNTU SUPPORT IS OFF-TOPIC. Support questions may be asked on https://askubuntu.com/. This tag should be used only for WRITING OR RUNNING PROGRAMS specifically in Ubuntu 18.04. If your question applies to other versions of Ubuntu, use [ubuntu] instead. If your question applies to other distributions of Linux, use [linux] instead.

0
votes
0answers
9 views

The Linux kernel is not supported by .sh file

i am using Ubuntu 18.04.The Linux kernel running on my machine is 4.18.20 but the .sh file give me error that version newer then 3.14.x is not supported. i am new to Ubuntu.what should i do now. ...
0
votes
0answers
7 views

Redirecting requests from one server to another - 502 Bad Gateway nginx/1.14.0 (Ubuntu)

I have deployed a node.js backend application and a react frontend application on Nginx web server. I am redirecting the HTTP requests from a server that has a domain say www.example.com to another ...
0
votes
1answer
21 views

Trouble importing tensorflow-gpu in Ubuntu 18.04

I have installed tensorflow-gpu in Ubuntu 18.04 with CUDA 9.0 and CuDnn 7.4. Although it got successfully installed but when I import it >>> import tensorflow as tf I get error msg ...
0
votes
1answer
22 views

Install Tensorflow gpu on a remote pc without sudo

I don't have sudo access to the remote pc where cuda is already installed. Now, I have to install tensorflow-gpu on that system. Please give me the step by step guide to install it without sudo. ...
0
votes
1answer
27 views

Connect Python with MySQL using MySQLdb or connector in Ubuntu 18.04

I can't connect MySQL using MySQLdb in Ubuntu 18.04. #!/usr/bin/python import MySQLdb This code is showing internal server error.
0
votes
0answers
13 views

can't concatenate two model of keras ValueError: Layer concatenate_16 was called with an input that isn't a symbolic tensor

I am trying to concatenate two models in keras but getting error here are the two models 1. `image_model = Sequential([ Dense(embedding_size, input_shape=(2048,), activation='relu'), ...
-2
votes
1answer
14 views

Syntax error ,I have tried to load my django project on a production server

I have tried to load my project on a production server,I have the below syntax error for something that was working fine in test environment,any help here? I cant see why I have the error f'...
0
votes
1answer
20 views

ASP.NET Core 2.2 web app on Ubuntu - how to implement Data Protection

I've started using Ubuntu (18.04) to host some simple .NET Core 2.2 websites. And when the site is deployed and started I see the following: warn: Microsoft.AspNetCore.DataProtection....
0
votes
0answers
6 views

I can't uninstall yarn on ubuntu 18.04

I'm trying to uninstall yarn 'cause I've a old version '0.32' which I got when I was installing the last version but this command "sudo npm uninstall -g yarn" doesn't work, I read that should use the ...
1
vote
2answers
22 views

Commands like “uname -s” is not recognized in WSL when executed from poweshell

I need to execute the following command in WSL: sudo curl -L "https://github.com/docker/compose/releases/download/1.23.2/docker-compose-$(uname -s)-$(uname -m)" -o /usr/local/bin/docker-compose In ...
0
votes
0answers
7 views

Unhide workspace switcher in ubuntu 18.04

In ubuntu 18.04, when you open Activities, the workspace bar is hidden. It pops out only after you hover your mouse over it. Is there a way to make it always popped? - so that when you press ...
0
votes
0answers
12 views

“E: Invalid operation update” error while running shell scripts in WSL

I have a shell script called setup_wsl.sh which contains: #!/bin/bash echo "hai" sudo apt-get update sudo apt-get install \ apt-transport-https \ ca-certificates \ curl \ gnupg-agent ...
1
vote
1answer
20 views

How can I add a sudo user to WSL using commands in powershell?

I am trying to automate the WSL setup using powershell scripts. I have Ubuntu 18.04 distro installed for WSL in my windows 10 system. I want to run the following commands in powershell to setup a ...
0
votes
1answer
19 views

ERROR: missing FROM-clause entry for table “testing”

When I run the psql command from the postgres user account like this: sudo -i -u testuser psql testdb -c 'select * from "USER" where "LogInName"='TESTING';' so what can i do for this case thank you ...
0
votes
0answers
8 views

filebeat - permission denied errors on Ubuntu 18.04

I am facing the following error while running filebeat $ filebeat test config 2019-03-20 01:57:12.112399037 +0000 UTC m=+0.016941991 write error: failed to open new file: open /var/log/filebeat/...
0
votes
1answer
26 views

How to install correct python version in my virtual env using pipenv

I'm trying to use pipenv as my primary tool for managing dependencies for a django app I'm trying to get deployed, and hitting a snag at the python version specified in the Pipfile. The server is an ...
-1
votes
0answers
19 views

flask methods overridden somewhere?

I'm using flask and cannot seem to get POST methods working without getting a 405 Method Not allowed error back to client. Here's my route/view: @app.route('/test',methods=['POST','GET']) def test(): ...
0
votes
0answers
11 views

DigiKam on 64bit Ubuntu 18.04 can't access MySQL database created on 32 bit Ubuntu 18.04

I have been using Digikam 5.6.0 on a 32bit machine running Ubuntu 18.04 for some time and have a large database for my photograph collection. I set Digikam up to store the data in a MySQL database ...
0
votes
0answers
12 views

Jupyter ImportError: cannot import name 'create_prompt_application' ubuntu 18.04

I have installed jupypter on Ubuntu 18.04. when I try to open .ipynb file it says trying to connect to server and fails eventaully. When I looked at the console I saw the following error : ...
0
votes
0answers
20 views

Apache2 cannot restart or start

Well I have installed apache2 on my Ubuntu VPS and it has been running fine for quite awhile until recently, the website went down, I diagnosed the system and it seems apache stopped running. I have ...
0
votes
0answers
11 views

Permission to get read/write access for a file from parent Windows System in Ubuntu app

I have installed Ubuntu app from Microsoft app store in my Windows 10 OS. I am trying to access a file from parent OS . But it's telling like permission denied in Ubuntu terminal. We know from Ubuntu ...
0
votes
0answers
14 views

Ubuntu 18.04 LTS- How to set the default-jre with a specific version?

I would like to install on Ubuntu 18.04 LTS an application that requires java 8. When I want to install this application, an error is raised about the default-jre: Package default-jre is not ...
0
votes
1answer
55 views

Get the name of file from its inode number [duplicate]

In a C program, I have got the inode number of a file, and I need to get file name for this inode number. I have a hint that gets the directory entry for this inode number, and that will, of course, ...
2
votes
0answers
30 views

How to compile static OpenCV4 libraries?

For testing purposes, I need to compile my C++ opencv program using static libs. My cmake build options are: -D CMAKE_BUILD_TYPE=RELEASE \ -D CMAKE_INSTALL_PREFIX=/usr/local \ -D ...
0
votes
0answers
5 views

Change the ubuntu 18.04 lock screen background without changing the background after logging in

I changed my background, and it also changed the background of the lock screen. I want to have a different background when I am logged in and and a different one when the lock screen is shown. If it ...
1
vote
1answer
26 views

JModelica on Ubuntu 18.04

Hello JModelica community. I already managed to compile JModelica on CentOS, but I am still failing on Ubuntu 18.04. The compilation itself is successful, but running from pyjmi.examples import ...
0
votes
1answer
95 views

ImportError: libcublas.so.10.0: cannot open shared object file: No such file or director

I have installed Cuda 10.1 and cudnn on Ubuntu 18.04 and it seems to be installed properly as type nvcc and nvidia-smi, I get proper response: user:~$ nvcc -V nvcc: NVIDIA (R) Cuda compiler ...
0
votes
0answers
19 views

Airflow Fail To Initialize DB

There is apache airflow installed and configured with mysql db without any errors. The problem is when i airflow initdb or airflow resetdb the following error/exception is thrown sqlalchemy.exc....
-1
votes
1answer
33 views

pip3 requirements.txt full of garbage

I'm currently running Ubuntu 18.04 and whenever I do pip3 freeze > requirement.txt I get the following huge list. From my research, it seems as though the dependencies for certain installations end ...
-1
votes
1answer
35 views

Rails/Ubuntu uninitialized namespaced constants on load

When starting my rails application on Ubuntu (through any process e.g. console, server, rake tasks, etc) I get an uninitialised constant error from my gems. However, I can clone the exact same repo on ...
0
votes
1answer
11 views

CloudBees: Pipeline job: Will retention builds on condition match delete Permanent artifacts?

I have pipeline job in CloudBees which builds and uploads artifact on artifactory server. I have set BuildRetention Period. Using groovy script to run the job. Command used is as follows:  &...
0
votes
1answer
33 views

Code runs fine in IDE but not run as Jar file

I've been researching this problem for a week. I have tried several Java IDEs in creating a JavaFX project but the problem continues. Does anyone know what this is about? I can not run the .jar file ...
-1
votes
1answer
24 views

undefined method `has_one_attached' for #<Class:> (NoMethodError) using Ubuntu + Apache + Passenger

I'm getting this error using Ubuntu + Apache + Passenger. The problem is that I'm not using any database or model. undefined method `has_one_attached' for #<Class:0x0000555c6ad94fd8> (...
0
votes
1answer
18 views

Ubuntu Software cannot install program

i can't download any program using Ubuntu Software. Example error defination is that(for install Kdenlive) : Unable to install Kdenlive: Error while installing package: mongo-tools 3.6.3-0ubuntu1 .....
0
votes
0answers
9 views

Terminator Terminal Emulator Crashes after install on Ubuntu 18.04

I decided to give Terminator a try as my terminal emulator. I am running Ubuntu 18.04 Add Terminator Repository: sudo add-apt-repository ppa:gnome-terminator Update sources.list sudo apt-get ...
-1
votes
0answers
5 views

Ubuntu 18.04 to 18.10 upgrade libsystemd-shared-237.so missing

I tried to upgrade from Ubuntu 18.04 to 18.10, and now when I try to run apt-get upgrade, or install some packages I get: systemctl: error while loading shared libraries: libsystemd-shared-237.so: ...
0
votes
0answers
16 views

Remove multiple UBUNTU boot options from Gigabyte - UEFI BIOS boot options priorities menu and make dual boot machine

I have bought a new Motherboard (Gigabyte -UEFI BIOS) and a Hard Disk (Western Digital). I installed Windows 7 init it was working fine, then I installed UBUNTU 18.04 to make it dual boot. When I re-...
2
votes
1answer
88 views

java --version shows 10 but java 11 is installed

Previously I had java 8 installed by default. After upgrading java version to 11 it shows openjdk 10.0.2 2018-07-17. I downloaded jdk-11.0.2_linux-x64_bin.deb from oracle site and installed it. After ...
-5
votes
1answer
46 views

Cannot find package “golang.org/x/net/context” in any of:

So I'm trying to run my code and I'm receiving the below errors. So then I open another terminal and try installing the dependencies and it's saying it is unable to locate the package on all of them I'...
0
votes
0answers
11 views

OpenProject Removes Access to Site Root

OpenProject installed to example.net/openproject per instructions on a rented Ubuntu 18.04 server. The site at example.net/ is no-longer accessible. Getting a 403 Error. How do I fix this?
-1
votes
1answer
35 views

Running Keras MNIST example on Ubuntu 18.04 - GPU error

I was running the following Keras/TensorFlow code code after setting up Anaconda 2018.12 on Ubuntu 18.04. I have Nvidia driver 390.116 and have a GTX 1070 GPU. However, when I try to run this simple ...
0
votes
1answer
26 views

Package not found - add libav to PKG_CONFIG_PATH environment variable

I am attempting to build the Parrot SDK and when running the command it continuously fails due to multiple libav package variants not being found. Below is the error message. user@...
0
votes
0answers
10 views

Running demos of Robotics library

I'm working on a Robotics library and I'm using Ubuntu. This Robotics library contains many demos. I wanted to run them but they are not working - could someone help me?
-2
votes
0answers
19 views

I have `_` at start LiveUSB on Ubuntu [on hold]

I have this on boot. On Ubuntu i got and now i trying to install Windows.
2
votes
1answer
36 views

why npm install don't work in ubuntu 18.04

I'm try to install hooper fpr an vue.js example with this command: $ npm install hooper and show me the next error npm ERR! file /home/juanlh/package.json npm ERR! code EJSONPARSE npm ERR! JSON....
4
votes
1answer
53 views

prompt parenthesis (myenv)$ seems to disappear in newest conda

Prompt parenthesis (myenv)$ seems to disappear in newest conda. Current situation: john@myPC:~$ conda activate myenv john@myPC:~$ It supposed to be: john@myPC:~$ conda activate myenv (myenv) john@...
0
votes
0answers
7 views

LanguageTool pop up unexpectedly in Ubuntu 18.04

My LanguageTool comes from snap store and it pops up unexpectedly when I press some key combination or it even pop up without any operation. Is there something I can do to avoid this? Or is there ...
0
votes
0answers
5 views

can not install PyOpenCL module

I'm trying to install PyOpenCL on Ubuntu 18.04, but getting the following error: In file included from src/wrapper/wrap_cl.cpp:1:0: src/wrapper/wrap_cl.hpp:27:10: fatal error: CL/cl.h: No such file ...
-1
votes
1answer
23 views

Python3-pip install: http://fr.archive.ubuntu.com/ubuntu bionic-updates/main amd64 gcc-7 amd64 7.3.0-27ubuntu1~18.04 Unreachable

i'm trying to install python3-pip with apt, but it seems that http://fr.archive.ubuntu.com/ubuntu bionic-updates/main amd64 gcc-7 amd64 7.3.0-27ubuntu1~18.04 is unreachable I have already tried apt-...
0
votes
0answers
15 views

How to build OpenCV from deb files?

I have the following deb files after following the answers from this and this. OpenCV-4.0.1-x86_64-dev.deb OpenCV-4.0.1-x86_64-libs.deb OpenCV-4.0.1-x86_64-scripts.deb OpenCV-4.0.1-x86_64.tar.gz ...

http://mssss.yulina-kosm.ru